# File Shredder Plugin


## Overview
The File Shredder plugin provides secure file deletion capabilities for the Document Tracker application. It permanently deletes files by overwriting them multiple times, making data recovery virtually impossible.

## Features
- Multiple shredding methods:
  - Random Data (Fast)
  - Zeros (Quick)
  - DOD 5220.22-M (Secure)
- Configurable number of passes (1-35)
- Folder and multiple file selection
- Progress tracking
- Customizable settings

## Usage
1. Click "Add Files" or "Add Folder" to select files for shredding
2. Choose your shredding method and number of passes in Settings
3. Click "Start Shredding" to begin the process
4. Monitor progress in the progress bars

## Settings
- **Default Passes**: Number of times to overwrite files (1-35)
- **Shredding Method**:
  - Random Data: Overwrites with random bytes (good balance)
  - Zeros: Overwrites with zeros (fastest)
  - DOD 5220.22-M: US DoD standard (most secure)
- **Behavior Options**:
  - Confirm before shredding
  - Show tooltips

## Security Notes
- For sensitive data, use DOD method with 3+ passes
- More passes increase security but take longer
- Once shredded, files cannot be recovered

## Version History
- 2.0: Added DOD standard shredding method
- 1.0: Initial release

## Support
For support, contact Voiz Technologies at support@vioztec.com